# LogDoctor: Blacklists Struct Reference

Loading...
Searching...
No Matches
Blacklists Struct Referencefinal

## Public Member Functions

bool | isUsed (const WebServer ws, const BlacklistField fld)
| Returns whether the requested blacklist is in use.
void | setUsed (const WebServer ws, const BlacklistField fld, const bool used)
| Sets the requested blacklist in the given in-use condition.
const Blacklist & | getConst (const WebServer ws) const
| Returns a const reference to the requested blacklist.
Blacklist & | get (const WebServer ws)
| Returns a reference to the requested blacklist.
BlacklistItem & | get (const WebServer ws, const BlacklistField fld)
| Returns a reference to the requested blacklist.
std::vector< std::string > & | getList (const WebServer ws, const BlacklistField fld)
| Returns a reference to the requested blacklist.
const std::vector< std::string > & | getListConst (const WebServer ws, const BlacklistField fld)
| Returns a const reference to the requested blacklist.
void | setList (const WebServer ws, const BlacklistField fld, const std::vector< std::string > &list)
| Replaces the requested blacklist with the one provided.
void | clearList (const WebServer ws, const BlacklistField fld)
| Clears the requested blacklist.
void | addItem (const WebServer ws, const BlacklistField fld, const std::string &item)
| Adds the provided item to the requested blacklist.
void | removeItem (const WebServer ws, const BlacklistField fld, const std::string &item)
| Remove the requested item from the requested blacklist.
int | moveUpItem (const WebServer ws, const BlacklistField fld, const std::string &item)
| Moves the requested item one position up in the requested blacklist.
int | moveDownItem (const WebServer ws, const BlacklistField fld, const std::string &item)
| Moves the requested item one position down in the requested blacklist.

## Member Function Documentation

## addItem()

void Blacklists::addItem | ( | const WebServer | ws,
|  | const BlacklistField | fld,
|  | const std::string & | item )

inline

Adds the provided item to the requested blacklist.

Exceptions

  BWlistException,DoNotCatchException |

## clearList()

void Blacklists::clearList | ( | const WebServer | ws,
|  | const BlacklistField | fld )

inline

Clears the requested blacklist.

Exceptions

  BWlistException,DoNotCatchException |

## get() [1/2]

Blacklist & Blacklists::get | ( | const WebServer | ws | ) |

Returns a reference to the requested blacklist.

Exceptions

  DoNotCatchException |

## get() [2/2]

BlacklistItem & Blacklists::get | ( | const WebServer | ws,
|  | const BlacklistField | fld )

inline

Returns a reference to the requested blacklist.

Exceptions

  DoNotCatchException |

## getConst()

const Blacklist & Blacklists::getConst | ( | const WebServer | ws | ) | const

Returns a const reference to the requested blacklist.

Exceptions

  DoNotCatchException |

## getList()

std::vector< std::string > & Blacklists::getList | ( | const WebServer | ws,
|  | const BlacklistField | fld )

inline

Returns a reference to the requested blacklist.

Exceptions

  DoNotCatchException |

## getListConst()

const std::vector< std::string > & Blacklists::getListConst | ( | const WebServer | ws,
|  | const BlacklistField | fld )

inline

Returns a const reference to the requested blacklist.

Exceptions

  DoNotCatchException |

## isUsed()

bool Blacklists::isUsed | ( | const WebServer | ws,
|  | const BlacklistField | fld )

inline

Returns whether the requested blacklist is in use.

Exceptions

  DoNotCatchException |

## moveDownItem()

int Blacklists::moveDownItem | ( | const WebServer | ws,
|  | const BlacklistField | fld,
|  | const std::string & | item )

inline

Moves the requested item one position down in the requested blacklist.

Exceptions

  BWlistException |

## moveUpItem()

int Blacklists::moveUpItem | ( | const WebServer | ws,
|  | const BlacklistField | fld,
|  | const std::string & | item )

inline

Moves the requested item one position up in the requested blacklist.

Exceptions

  BWlistException |

## removeItem()

void Blacklists::removeItem | ( | const WebServer | ws,
|  | const BlacklistField | fld,
|  | const std::string & | item )

inline

Remove the requested item from the requested blacklist.

Exceptions

  BWlistException |

## setList()

void Blacklists::setList | ( | const WebServer | ws,
|  | const BlacklistField | fld,
|  | const std::vector< std::string > & | list )

inline

Replaces the requested blacklist with the one provided.

Exceptions

  BWlistException,DoNotCatchException |

## setUsed()

void Blacklists::setUsed | ( | const WebServer | ws,
|  | const BlacklistField | fld,
|  | const bool | used )

inline

Sets the requested blacklist in the given in-use condition.

Exceptions

  DoNotCatchException |

The documentation for this struct was generated from the following files:

- logdoctor/modules/blacklists/blacklists.h
- logdoctor/modules/blacklists/blacklists.cpp